Skip to main content

Get currency list

List of supported crypto and fiat currencies.

HTTP request

get
/v1/currencies

Request

Header parameters

Requires authentification.

Query parameters

NameTypeRequiredDescription
providerCodestringfalseThe On-Ramp or Off-Ramp provider code. Possible values.
If the provider code is not specified, the endpoint will return the supported currencies of all providers.
supportedFlowstringfalseEnum: buy/sell.
If the flow is not specified, the endpoint will return result for both cases (On-Ramp buy and Off-Ramp sell).
typestringfalseEnum: crypto/fiat.
If the currency type is not specified, the endpoint will return both fiat currencies and cryptocurrencies.
Sample cURL
curl --location --request GET
'https://fiat-api.changelly.com/v1/currencies?providerCode=moonpay&type=crypto'
--header 'X-Api-Key: {{apiKey}}'
--header 'X-Api-Signature: {{signature}}'

Response

Response params

NameTypeRequiredDescription
extraIdNamestringtrueExtra ID name of the cryptocurrency, for example, "Memo".
Extra ID is required for the following currencies:
  • XRP
  • XLM
  • EOS
  • BNB
For fiat currencies and cryptocurrencies without an extra ID, extraIdName equals null.
Info
If the currency has extra ID, you need to provide walletExtraId parameter in the request to /v1/orders and /v1/validate-address endpoints.
iconUrlstringtrueURL of currency icon.
iconColoredUrlstringtrueURL of colored currency icon.
namestringtrueCurrency name that you can specify in your interface.
networkstringtrueCurrency network
typestringtrueEnum: crypto/fiat.
Currency type.
precisionstringtrueCurrency precision. For fiat currencies, it is always 2.
protocolstringtrueCurrency protocol. The value can be an empty string.
Warning
The result scheme parameter protocol is deprecated. The response will stop returning it soon.
providersarray of objectstrueList of providers that support the currency.
tickerstringtrueCurrency ticker in uppercase. It is a unique identifier of the currency.

provider object schema

NameTypeRequiredDescription
limitsobjecttrueThe currency limits for buying and selling.
providerCodestringtrueThe On-Ramp or Off-Ramp provider code. Possible values.
If the provider code is not specified, the endpoint will return the supported currencies of all providers.
supportedFlowarray of stringstrueEnum: buy/sell.
If the flow is not specified, the endpoint will return result for both cases (On-Ramp buy and Off-Ramp sell).

limits object schema

NameTypeRequiredDescription
getobjectfalseThe currency limits for buying.
sendobjectfalseThe currency limits for selling.

send and get object schema

NameTypeRequiredDescription
maxnumberfalseThe max limit for the operation.
minnumberfalseThe min limit for the operation.
Sample response
application/json
{
"type": "crypto",
"ticker": "ETH",
"name": "Ethereum",
"extraIdName": null,
"iconUrl": "https://cdn.changelly.com/icons/eth.svg",
"iconColoredUrl": "https://cdn.changelly.com/icons-colored/eth.png",
"precision": "8",
"network": "ethereum",
"protocol": "",
"providers": [
{
"providerCode": "moonpay",
"supportedFlows": [
"buy",
"sell"
],
"limits": {
"send": {
"min": 0.00441,
"max": 8.5
},
"get": {
"min": 0.0011,
"max": 30000
}
}
}
]
}

Error response

Error response parameters

Check the error response schema.

Possible error types in the errorType item:

TypeDescription
validationValidation error.

The errorDetails item schema:

NameTypeRequiredDescription
causestringtrueError cause. For example, it can equal the missing request parameter for the validation error type.
valuestringtrueError value.

Error codes

CodeMessage
400Bad request
401Unauthorized
404Not found
429Too many requests
500Internal server error
Bad Request
{
"errorType": "validation",
"errorMessage": "Validation error",
"errorDetails": [
{
"cause": "type",
"value": "type must be one of the following values: crypto, fiat"
}
]
}